Subject: bug#41779: Fall back between vc-diff and diff-backup

From: Dmitry Gutov <[email-masked]>
Date: Thu, 11 Jun 2020 01:18:23 +0300

On 11.06.2020 00:53, Juri Linkov wrote:
> Why do you think that throwing an error is more useful than doing
> some nice fallback?

It's... imprecise? Like, if I'm using the 'C-x v' prefix, I expect to 
work against a VC repository. Having a command like that succeed despite 
the lack of said repository could give a wrong impression to the user.

Not a big problem, but the cost of implementing a different solution 
doesn't seem to be high either.

Admittedly, I use diff-backup very rarely (though it does happen from 
time to time), so I might not understand your usage scenarios well.